#pragma once
#include "math.h"
#include "Framebuffer.h"
#include "PSF1Font.h"

class BasicRenderer {
	public:
		BasicRenderer(Framebuffer* framebuffer, PSF1_FONT* psf1_Font);
		Point cursorPosition;
		Framebuffer* targetFramebuffer;
		PSF1_FONT* PSF1_Font;
		void Print(unsigned int colour, const char* str);
		void PutChar(unsigned int colour, char chr, unsigned int xOff, unsigned int yOff);
};